<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-js](./iceshrimp-js.md) &gt; [Stream](./iceshrimp-js.stream.md) &gt; [useChannel](./iceshrimp-js.stream.usechannel.md)

## Stream.useChannel() method

**Signature:**

```typescript
useChannel<C extends keyof Channels>(
		channel: C,
		params?: Channels[C]["params"],
		name?: string,
	): Connection<Channels[C]>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  channel | C |  |
|  params | [Channels](./iceshrimp-js.channels.md)<!-- -->\[C\]\["params"\] | _(Optional)_ |
|  name | string | _(Optional)_ |

**Returns:**

[Connection](./iceshrimp-js.channelconnection.md)<!-- -->&lt;[Channels](./iceshrimp-js.channels.md)<!-- -->\[C\]&gt;

